=== debian/control ===
Source: taylor
Version: 2.1
Maintainer: Maorong Zou <mzou@math.utexas.edu>
Build-Depends: debhelper (>=9), gcc, flex, bison , libfl-dev

Package: taylor
Version: 2.1
Maintainer: Maorong Zou
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, flex, bison, libmpfr-dev, libgmp-dev, libmpc-dev, libfl-dev
Section: Miscellaneous
Priority:optional
Description: A translator that generats C-code to solve a system of ODEs using the taylor
  method, optionally integrate a variational equations
  simutaneously via the Jet Transport mechanism.
