=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 


override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/taylor INSTALLDIR=$$(pwd)/debian/taylor install
